function  Js0451sky()
{
   var s, info, t, a, b, ad;

   ad = "〖学校教务管理系统提示您！〗\n";
   info = ad + "您确实要修改信息吗？";
   s = document.getElementById("TxtSName");
   if(s.value == "")
   {
      window.alert(ad + "学校名称不能为空！");
      s.focus();
      return false;
   }
   // #################################################################
   s = document.getElementById("TxtUserName");
   if(s.value == "")
   {
      window.alert(ad + "管理员用户名不能为空！");
      s.focus();
      return false;
   }
   // #################################################################
   s = document.getElementById("TxtUserPwd");
   if(s.value == "")
   {
      window.alert(ad + "管理员密码不能为空！");
      s.focus();
      return false;
   }
   // #################################################################
   s = document.getElementById("TxtPage");
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "分页显示条数不能为空，并且为数字！");
      s.focus();
      return false;
   }
   // #################################################################
   var m1, m2, m3;
   s = document.getElementById("txtstudent");
   m1 = s.value;
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "学生评价成绩比例不能为空，并且为数字！");
      s.focus();
      return false;
   }
   // #################################################################
   s = document.getElementById("txtteacher");
   m2 = s.value;
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "教师评价成绩比例不能为空，并且为数字！");
      s.focus();
      return false;
   }
   // #################################################################
   m3 = parseInt(m1) + parseInt(m2)
   if(parseInt(m3) != 100)
   {
      window.alert(ad + "学生、教师评价成绩的和必须是100才能进行设置！");
      return false;
   }
   s = document.getElementById("TxtEMail");
   if(s.value == "")
   {
      window.alert(ad + "数据不能为空");
      s.focus();
      return false;
   }
   // #################################################################

   s = document.getElementById("TxtEMailPwd");
   if(s.value == "")
   {
      window.alert(ad + "Email密码不能为空！");
      s.focus();
      return false;
   }
   // #################################################################
   s = document.getElementById("TxtEMailSmtp");
   if(s.value == "")
   {
      window.alert(ad + "EMail-SMTP设置不能为空！");
      s.focus();
      return false;
   }
   // #################################################################
   s = document.getElementById("TxtJSzhichi");
   if(s.value == "")
   {
      window.alert(ad + "技术支持不能为空！");
      s.focus();
      return false;
   }
   // #################################################################
   s = document.getElementById("TxtBanquan");
   if(s.value == "")
   {
      window.alert(ad + "版权所有不能为空！");
      s.focus();
      return false;
   }
   // #################################################################
   s = document.getElementById("TxtTel");
   if(s.value == "")
   {
      window.alert(ad + "管理员电话不能为空！");
      s.focus();
      return false;
   }
   // #################################################################
   s = document.getElementById("TxtLic");
   if(s.value == "")
   {
      window.alert(ad + "授权文件不能为空！");
      s.focus();
      return false;
   }
   // #################################################################
   if(confirm(info))
   {
      return true;
   }
   else
   {
      return false;
   }
}
// -------------------------------------
function isValidCode(strCode)
{
   var i, cChar
   var strValidID = "0123456789-.";
   for (i = 0; i < strCode.length; i ++ )
   {
      cChar = strCode.charAt(i);
      if(strValidID.indexOf(cChar) == - 1) return false;
   }
   return true;
}

function isValidEmailAddress( strEmail )
{
   var i, strDomain, cChar;
   var nDotCount = 0;
   var bFindAlpha = false;
   var bLastIsDot = false;
   var strValid = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-_.";

   if( strEmail == "" ) return false;
   i = strEmail.indexOf( "@" );
   if( i == - 1 || i == 0 || i == strEmail.length - 1 ) return false;
   strDomain = strEmail.substring( i + 1, strEmail.length );

   if( strDomain.indexOf( "@" ) != - 1 ) return false;
   if( strDomain.charAt( 0 ) == "." ) return false;
   if( strDomain.charAt( strDomain.length - 1 ) == "." ) return false;

   for( i = 0; i < strDomain.length; i ++ )
   {
      cChar = strDomain.charAt( i );
      if( strValid.indexOf( cChar ) == - 1 ) return false;
      if( cChar == "." )
      {
         if( bLastIsDot ) return false;
         bLastIsDot = true;
         nDotCount ++ ;
      }
      else
      bLastIsDot = false;
      if((( "a" <= cChar ) && ( cChar <= "z" )) || (( "A" <= cChar ) && ( cChar <= "Z" )) )
      bFindAlpha = true;
   }

   if( bFindAlpha && ( 0 == nDotCount )) return false;
   return true;
}
